#include <iostream>
#include <vector>
using namespace std;

int main()
{
long long int n,o,m,k,t,p=0,t2;
vector<int> kk(1000);
vector<int> vege(1000);
cin>>o;
for(int i=0;i<o;i++)
{
    int osz=0;
    cin>>n>>m>>k;
    t=n/k;
    t2=n%k;
            if(t<10001)
            {
                for(int l=1;l<=t;l++)
                {

                    osz=osz+l;
                }
            }
            else{
                    osz=49995000;
                for(int l=10001;l<=t;l++)
            {
                osz=osz+l;
            }
            }
        if(m>=osz*(k-t2)+(osz+t+1)*t2)
        {
            vege[p]=1;
            p++;
        }
        else{
            vege[p]=-1;
            p++;
        }
}
for(int i=0;i<p;i++)
{
    if(vege[i]==1)
    {
        cout<<"Tak"<<endl;
    }
    else
        cout<<"Nie"<<endl;
}
}